Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Interface ScanMethod

All Known Implementing Classes:
  FileScan, NullScan, ScanMethodBase, WindowsRegistryScan

    public interface ScanMethod

Method Summary
`int` | `getAuthorityLevel()` Get the authority level of this ScanMethod.
`org.hyperic.util.config.ConfigResponse` | `getConfig()` Get the current configuration, if one has been set.
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema()` Get the configuration options for this scan method.
`String` | `getDescription()` Get the description of this ScanMethod.
`String` | `getDisplayName()` Get the human readable name of this ScanMethod.
`String` | `getName()` Get the name of this ScanMethod.
`void` | `init(Scanner scanner, org.hyperic.util.config.ConfigResponse config, org.hyperic.util.AutoApproveConfig autoApproveConfig)` Initialize this scan method.
`void` | `scan(org.hyperic.util.config.ConfigResponse platformConfig, ServerDetector[] detectors)` Perform a scan for this method.
`void` | `setAuthorityLevel(int level)` Set the authority level of this ScanMethod.

Method Detail

### getName

    String getName()

  Get the name of this ScanMethod.

### getDisplayName

    String getDisplayName()

  Get the human readable name of this ScanMethod.

### getDescription

    String getDescription()

  Get the description of this ScanMethod.

### getAuthorityLevel

    int getAuthorityLevel()

  Get the authority level of this ScanMethod. ScanMethods with higher authority levels are considered authoritative for server and service attributes when multiple ScanMethods detect the same server/service.

  Returns:
    The authority level for this scan method.

### setAuthorityLevel

    void setAuthorityLevel(int level)

  Set the authority level of this ScanMethod. ScanMethods with higher authority levels are considered authoritative for server and service attributes when multiple ScanMethods detect the same server/service.

  Parameters:
    `level` - The authority level to use for this scan method.

### init

    void init(Scanner scanner,
              org.hyperic.util.config.ConfigResponse config,
              org.hyperic.util.AutoApproveConfig autoApproveConfig)
              throws AutoinventoryException

  Initialize this scan method.

  Parameters:
    `scanner` - The Scanner that will be running the show.
    `config` - The configuration information for this scan method.
    `autoApproveConfig` - The auto-approval configuration instance.
  Throws:
    `AutoinventoryException`

### getConfigSchema

    org.hyperic.util.config.ConfigSchema getConfigSchema()
                                                         throws AutoinventoryException

  Get the configuration options for this scan method.

  Returns:
    A config schema that determines how this scan method is configured.
  Throws:
    `AutoinventoryException` - If there is an error generating the configuration option list.

### getConfig

    org.hyperic.util.config.ConfigResponse getConfig()

  Get the current configuration, if one has been set.

  Returns:
    the current configuration, or null if it has not been set.

### scan

    void scan(org.hyperic.util.config.ConfigResponse platformConfig,
              ServerDetector[] detectors)
              throws AutoinventoryException

  Perform a scan for this method.

  Parameters:
    `platformConfig` - ConfigResponse for the platform
    `detectors` - an array of ServerDetectors to use when scanning.
  Throws:
    `AutoinventoryException` - If an error occurs during the scan.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.